diff --git a/ruby-gio2.cygport b/ruby-gio2.cygport
index 4b464a2..326d5ad 100644
--- a/ruby-gio2.cygport
+++ b/ruby-gio2.cygport
@@ -1,12 +1,28 @@
 inherit rubygem
 
 NAME="ruby-gio2"
-VERSION=3.2.9
+VERSION=4.1.7
 RELEASE=1
 CATEGORY="Ruby"
 SUMMARY="Ruby GIO bindings"
 DESCRIPTION="Ruby/GIO2 is a Ruby binding of gio-2.x."
-HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
+HOMEPAGE="https://ruby-gnome.github.io/"
+
+BUILD_REQUIRES="ruby-glib2-devel ruby-gobject-introspection-devel ruby-pkg-config"
+LICENSE="LGPL-2.1-or-later"
+
+RUBYGEM_CONFIGURE_ARGS="--with-ldflags=-Wl,--out-implib=libruby-gio2.a"
+
+src_install()
+{
+	cd ${S}
+	rubygem_install
+
+	pushd ${D}/usr/lib/pkgconfig
+	echo "" >> ${NAME}.pc
+	echo "Libs: -lruby-gio2" >> ${NAME}.pc
+	popd
+}
 
 PKG_NAMES="${NAME} ${NAME}-devel ${NAME}-doc"
 ruby_gio2_REQUIRES="girepository-GLib2.0"
